PPIx::Regexp::Token::GroupType::Script_Run(3)

NAME
PPIx::Regexp::Token::GroupType::Script_Run - Represent a script run specifier

SYNOPSIS
 use PPIx::Regexp::Dumper;
 PPIx::Regexp::Dumper->new( 'qr{(*script_run:\d)}' )
     ->print();

INHERITANCE
"PPIx::Regexp::Token::GroupType::Script_Run" is a PPIx::Regexp::Token::GroupType.

"PPIx::Regexp::Token::GroupType::Script_Run" has no descendants.

DESCRIPTION
This token represents the specifier for a script run - namely the '+script_run:', '*script_run:', or '*sr:' that comes after the left parenthesis. The first form was added in Perl 5.27.8 but retracted in favor of the second ant third forms (which are equivalent) in Perl 5.27.9.

If this construction does not make it into Perl 5.28, this class will be retracted.

METHODS
This class provides no public methods beyond those provided by its superclass.

SUPPORT
Support is by the author. Please file bug reports at <https://rt.cpan.org/Public/Dist/Display.html?Name=PPIx-Regexp>, <https://github.com/trwyant/perl-PPIx-Regexp/issues>, or in electronic mail to the author.

AUTHOR
Thomas R. Wyant, III wyant at cpan dot org

COPYRIGHT AND LICENSE
Copyright (C) 2018-2023 by Thomas R. Wyant, III

This program is free software; you can redistribute it and/or modify it under the same terms as Perl 5.10.0. For more details, see the full text of the licenses in the directory LICENSES.

This program is distributed in the hope that it will be useful, but without any warranty; without even the implied warranty of merchantability or fitness for a particular purpose.